Bug 80089 - [Chromium] WebOptionElement should inherit WebElement instead of WebFormControlElement
: [Chromium] WebOptionElement should inherit WebElement instead of WebFormContr...
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: Platform
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To: yosin
:
Depends on:
Blocks: 79764
  Show dependency treegraph
 
Reported: 2012-03-01 20:16 PST by yosin
Modified: 2012-03-05 17:39 PST (History)
4 users (show)

See Also:


Attachments
Patch 1 (3.12 KB, patch)
2012-03-01 21:13 PST, yosin
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description yosin 2012-03-01 20:16:53 PST
According to specification, WebOptionElement isn't form associated control(FormControlElement is derived from FormAssociateElement) . To avoid having extra functionality and removing extra dependency, WebOptionElement should derive from WebElement rather than WebFormControlElement.
Comment 1 yosin 2012-03-01 21:13:30 PST
Created attachment 129804 [details]
Patch 1
Comment 2 WebKit Review Bot 2012-03-01 21:18:00 PST
Please wait for approval from fishd@chromium.org before submitting because this patch contains changes to the Chromium public API.
Comment 3 Darin Fisher (:fishd, Google) 2012-03-02 15:40:12 PST
Comment on attachment 129804 [details]
Patch 1

Why?  HTMLOptionElement seems to inherit from HTMLFormControlElement, so it seems like the WebKit API should reflect that.
Comment 4 Kent Tamura 2012-03-02 17:20:13 PST
(In reply to comment #3)
> (From update of attachment 129804 [details])
> Why?  HTMLOptionElement seems to inherit from HTMLFormControlElement, so it seems like the WebKit API should reflect that.

HTMLOptionElement shouldn't inherit from HTMLFormControlElement. The current implementation of HTMLOptionElement wastes memory and time, and we have an actual performance bug reported by a user.  yosin is going to change it.  See Bug 79764.
Comment 5 Darin Fisher (:fishd, Google) 2012-03-05 17:10:23 PST
Comment on attachment 129804 [details]
Patch 1

OK!
Comment 6 WebKit Review Bot 2012-03-05 17:39:12 PST
Comment on attachment 129804 [details]
Patch 1

Clearing flags on attachment: 129804

Committed r109827: <http://trac.webkit.org/changeset/109827>
Comment 7 WebKit Review Bot 2012-03-05 17:39:19 PST
All reviewed patches have been landed.  Closing bug.